const mongoose = require('mongoose');

// ExpenseGroup schema
const ExpenseGroupSchema = new mongoose.Schema({
  groupName: {
    type: String,
    required: [true, 'Group name is required']
  },
  company: {
    type: mongoose.Schema.Types.ObjectId,
    ref: 'Company',
    required: [true, 'Company reference is required']
  }
}, { timestamps: true });

module.exports = mongoose.model('ExpenseGroup', ExpenseGroupSchema);
